|  | Home · All Classes · All Functions · Overviews

# Obsolete Members for QSortFilterProxyModel

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QSortFilterProxyModel class reference

## Public Slots

void | clear () `(obsolete)`

## Protected Functions

void | filterChanged () `(obsolete)`

- 1 protected function inherited from QAbstractItemModel

## Member Function Documentation

### void QSortFilterProxyModel::clear () `[slot]`

This function is obsolete. Use invalidate() instead.

### void QSortFilterProxyModel::filterChanged () `[protected]`

This function is obsolete. Use invalidateFilter() instead.